<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| jQuery Chat Panel v1.00 RC1
| Author: skpacman
| PHP-Fusion USA
| Original design by Anant Garg (Copyright 2009)
| Free for non-commercial use.
|   * For commercial use, please purchase a license from Anant Garg at:
|  	* http://anantgarg.com/2009/05/13/gmail-facebook-style-jquery-chat/
| Username parsing error solved by Swadesh
| http://itswadesh.wordpress.com/2011/05/07/gmail-facebook-style-jquery-chat/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once ("../../../maincore.php");

include INCLUDES."infusions_include.php";
$jcp_settings = get_settings("jquery_chat_panel");

include INFUSIONS."jquery_chat_panel/infusion_db.php";

if (file_exists(INFUSIONS."jquery_chat_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jquery_chat_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jquery_chat_panel/locale/English.php";
}

//Define how long we consider a user to be "active"
$timelimit = time() - $jcp_settings['timelimit']; //Set in admin interface

$update_lastvisit = dbquery("UPDATE ".DB_USERS." set user_lastvisit = ".time()." where ".DB_USERS.".user_name = '".$userdata['user_name']."'");
if ($update_lastvisit){
	$allonline = dbquery("SELECT uid FROM ".JCP_ONLINE);

	$admin_online = ""; $admin_count = "0";
	$member_online = ""; $member_count = "0";

	while ($user = dbarray($allonline)){
		$getonlinedata = dbquery("SELECT user_name, user_level, user_id 
						FROM ".DB_USERS."
						WHERE user_lastvisit >'".$timelimit."'
						AND user_status='0'
						AND user_id = '".$user['uid']."'
						");
		$onlinedata = dbarray($getonlinedata);
		if ($onlinedata['user_level'] > 101 && $onlinedata['user_name'] != $userdata['user_name']){
			// its an admin
			$admin_online .= "<a href=\"javascript:void(0)\" onclick=\"javascript:chatWith('".$onlinedata['user_id']."','".$onlinedata['user_name']."')\">".$onlinedata['user_name']."</a><br />\n";
			$admin_count++;
		} elseif ($onlinedata['user_level'] < 102 && $onlinedata['user_name'] != $userdata['user_name']){
			// its a member
			$member_online .= "<a href=\"javascript:void(0)\" onclick=\"javascript:chatWith('".$onlinedata['user_id']."','".$onlinedata['user_name']."')\">".$onlinedata['user_name']."</a><br />\n";
			$member_count++;
		}
	}

	echo "Admin Online: ".$admin_count."<br />
	".$admin_online."<br />
	Members Online: ".$member_count."<br />
	".$member_online."<br />";
} else {
	echo "Unable to update your online status. Retrying in a few seconds...";
}

//cleanup online list based on users last access times based on timeout
	//get all users in online database
	//check if their online time > lastvisit
		//if not, do nothing
		//if so, remove them from online database
$cleanup_query = dbquery("SELECT uid FROM ".JCP_ONLINE);
while ($cleanup = dbarray($cleanup_query)){
//	echo $cleanup['uid']."<br />";
	$check_lastvisit_query = dbquery("SELECT user_lastvisit,user_name FROM ".DB_USERS." WHERE user_id = '".$cleanup['uid']."' && user_lastvisit < '".$timelimit."' LIMIT 0,1");
	$check_lastvisit_count = dbrows($check_lastvisit_query);
	$check_lastvisit = dbarray($check_lastvisit_query);
	if ($check_lastvisit_count){ 
		echo $check_lastvisit['user_name'];
		$remove = dbquery("DELETE FROM ".JCP_ONLINE." WHERE uid = '".$cleanup['uid']."'");
		if ($remove){ echo "removed ".$cleanup['uid']; }
	}
}
?>