<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| jQuery Chat Panel v1.00 RC1
| Author: skpacman
| PHP-Fusion USA
| Original design by Anant Garg (Copyright 2009)
| Free for non-commercial use.
|   * For commercial use, please purchase a license from Anant Garg at:
|  	* http://anantgarg.com/2009/05/13/gmail-facebook-style-jquery-chat/
| Username parsing error solved by Swadesh
| http://itswadesh.wordpress.com/2011/05/07/gmail-facebook-style-jquery-chat/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("JCP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."jquery_chat_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jquery_chat_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jquery_chat_panel/locale/English.php";
}

require_once THEMES."templates/admin_header.php";
include INFUSIONS."jquery_chat_panel/infusion_db.php";
include INCLUDES."infusions_include.php";
$jcp_settings = get_settings("jquery_chat_panel");

if (isset($_GET['e'])){
	switch ($_GET['e']){
	case '1':
		$jcp_message = $locale['jcp_001'];
	break;
	case '2':
		$jcp_message = $locale['jcp_002'];
	break;
	case '3':
		$jcp_message = $locale['jcp_003'];
	break;
	case '4':
		$jcp_message = $locale['jcp_004'];
	break;
	case '5':
		$jcp_message = $locale['jcp_005'];
	break;
	case '6':
		$jcp_message = $locale['jcp_006'].$jcp_settings['timelimit'].$locale['jcp_007'];
	break;
	case '7':
		$jcp_message = $locale['jcp_008'].$jcp_settings['timelimit'].$locale['jcp_007'];
	break;
	case '8':
		$jcp_message = $locale['jcp_009'].$jcp_settings['timelimit'].$locale['jcp_007'];
	break;
	case '9':
		$jcp_message = $locale['jcp_010'];
	break;
	case '10':
		$jcp_message = $locale['jcp_011']."\"".$jcp_settings['panelstyle']."\".";
	break;
	case '11':
		$jcp_message = $locale['jcp_012']."\"".$jcp_settings['theme']."\".";
	break;	
	case '12':
		$jcp_message = $locale['jcp_013'];
	break;
	default:
		//case 0
		$jcp_message = $locale['jcp_014'];
	}
}

	if (isset($jcp_message)) {
		echo "<div id='close-message'><div class='admin-message'>".$jcp_message."</div></div>\n"; 
	}

if (isset($_POST['visual'])){
	if($_POST['visual'] == "float_bar_left"){
		$set1 = set_setting("side", "left", "jquery_chat_panel");
		$set2 = set_setting("ulist_style", "bar", "jquery_chat_panel");
		$set3 = set_setting("display", "floating", "jquery_chat_panel");
		if ($set1 && $set2 && $set3){ redirect("./".FUSION_SELF.$aidlink."&e=1"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }
	}
	if($_POST['visual'] == "float_bar_right"){
		$set1 = set_setting("side", "right", "jquery_chat_panel");
		$set2 = set_setting("ulist_style", "bar", "jquery_chat_panel");
		$set3 = set_setting("display", "floating", "jquery_chat_panel");
		if ($set1 && $set2 && $set3){ redirect("./".FUSION_SELF.$aidlink."&e=2"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }	
	}
	if($_POST['visual'] == "float_panel_left_default"){
		$set1 = set_setting("side", "left", "jquery_chat_panel");
		$set2 = set_setting("ulist_style", "panel", "jquery_chat_panel");
		$set3 = set_setting("display", "floating", "jquery_chat_panel");
		if ($set1 && $set2 && $set3){ redirect("./".FUSION_SELF.$aidlink."&e=3"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }
	}
	if($_POST['visual'] == "float_panel_right_default"){
		$set1 = set_setting("side", "right", "jquery_chat_panel");
		$set2 = set_setting("ulist_style", "panel", "jquery_chat_panel");
		$set3 = set_setting("display", "floating", "jquery_chat_panel");
		if ($set1 && $set2 && $set3){ redirect("./".FUSION_SELF.$aidlink."&e=4"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }
	}
	if($_POST['visual'] == "fixed_panel_default"){
		$set1 = set_setting("side", "left", "jquery_chat_panel");
		$set2 = set_setting("ulist_style", "panel", "jquery_chat_panel");
		$set3 = set_setting("display", "fixed", "jquery_chat_panel");
		if ($set1 && $set2 && $set3){ redirect("./".FUSION_SELF.$aidlink."&e=5"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }
	}
}

if (isset($_POST['timelimit']) && is_numeric($_POST['timelimit']) && $_POST['timelimit'] >= "15"){
	$set = set_setting("timelimit", $_POST['timelimit'], "jquery_chat_panel");
	if ($set){ redirect("./".FUSION_SELF.$aidlink."&e=6"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }
} elseif (isset($_POST['timelimit']) && !is_numeric($_POST['timelimit'])){
	redirect("./".FUSION_SELF.$aidlink."&e=7");
} elseif (isset($_POST['timelimit']) && is_numeric($_POST['timelimit']) && $_POST['timelimit'] < "15"){
	redirect("./".FUSION_SELF.$aidlink."&e=8");
}

if (isset($_POST['ulist_update'])){
	$set = set_setting("ulist_update", $_POST['ulist_update'], "jquery_chat_panel");
	if ($set){ redirect("./".FUSION_SELF.$aidlink."&e=9"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }
}

if (isset($_POST['panelstyle'])){
	if ($_POST['panelstyle'] == 'panel'){
	$set = set_setting("panelstyle", "panel", "jquery_chat_panel");
	} elseif ($_POST['panelstyle'] == 'theme'){
	$set = set_setting("panelstyle", "theme", "jquery_chat_panel");
	} else {
	$set = set_setting("panelstyle", "panel", "jquery_chat_panel");
	}
	if ($set){ redirect("./".FUSION_SELF.$aidlink."&e=10"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }
}

if (isset($_POST['csstheme'])){
	$set = set_setting("theme", $_POST['csstheme'], "jquery_chat_panel");
	if ($set){ redirect("./".FUSION_SELF.$aidlink."&e=11"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }
}

if (isset($_POST['prune'])){
	$result = dbquery("DELETE FROM ".JCP_MSGS." WHERE sent < DATE_SUB(NOW(), INTERVAL ".$_POST['prune']." DAY)");
	if ($result){ redirect("./".FUSION_SELF.$aidlink."&e=12"); } else { redirect("./".FUSION_SELF.$aidlink."&e=0"); }
}

if ($jcp_settings['side'] == "left" && $jcp_settings['ulist_style'] == "bar" && $jcp_settings['display'] == "floating"){ $opt1 = $locale['jcp_017']; } else { $opt1 = ""; }
if ($jcp_settings['side'] == "right" && $jcp_settings['ulist_style'] == "bar" && $jcp_settings['display'] == "floating"){ $opt2 = $locale['jcp_017']; } else { $opt2 = ""; }
if ($jcp_settings['side'] == "left" && $jcp_settings['ulist_style'] == "panel" && $jcp_settings['display'] == "floating"){ $opt3 = $locale['jcp_017']; } else { $opt3 = ""; }
if ($jcp_settings['side'] == "right" && $jcp_settings['ulist_style'] == "panel" && $jcp_settings['display'] == "floating"){ $opt4 = $locale['jcp_017']; } else { $opt4 = ""; }
if ($jcp_settings['side'] == "left" && $jcp_settings['ulist_style'] == "panel" && $jcp_settings['display'] == "fixed"){ $opt5 = $locale['jcp_017']; } else { $opt5 = ""; }

opentable($locale['jcp_title']." - ".$locale['jcp_adm']);
echo $locale['jcp_015']."<img src='./images/help.png' style='vertical-align:middle;' title='".$locale['jcp_016']."' /><br />
<form method='post' action='./".FUSION_SELF.$aidlink."'>
<table style='border:0;' cellspacing='0' cellpadding='2'>
<tr height='12px'>
	<td align='center'>".$opt1."</td>
	<td align='center'>".$opt2."</td>
	<td align='center'>".$opt3."</td>
	<td align='center'>".$opt4."</td>
	<td align='center'>".$opt5."</td>
</tr>
<tr>
<td><button type='submit' value='float_bar_left' name='visual' class='button' title='".$locale['jcp_018']."'><img src='./images/float_bar_left.png' /></button></td>	
<td><button type='submit' value='float_bar_right' name='visual' class='button' title='".$locale['jcp_019']."'><img src='./images/float_bar_right.png' /></button></td>
<td><button type='submit' value='float_panel_left_default' name='visual' class='button' title='".$locale['jcp_020']."'><img src='./images/float_panel_left.png' /></button></td>	
<td><button type='submit' value='float_panel_right_default' name='visual' class='button' title='".$locale['jcp_021']."'><img src='./images/float_panel_right.png' /></button></td>
<td><button type='submit' value='fixed_panel_default' name='visual' class='button' title='".$locale['jcp_022']."'><img src='./images/fixed_panel.png' /></button></td>
</tr>
</table>
</form><br />

".$locale['jcp_023']."<br />
<form method='post' action='./".FUSION_SELF.$aidlink."'>
".$locale['jcp_024']." <img src='./images/help.png' style='vertical-align:middle;' title='".$locale['jcp_025']."' />
<input type='text' name='timelimit' value='".$jcp_settings['timelimit']."' />
<input type='submit' class='button' value='Update' />
</form>";

echo "<form method='post' action='./".FUSION_SELF.$aidlink."'>
".$locale['jcp_026']." <img src='./images/help.png' style='vertical-align:middle;' title='".$locale['jcp_027']."' />";
if ($jcp_settings['panelstyle'] == "panel"){ 
	echo "<button type='submit' name='panelstyle' value='theme' class='button' title='".$locale['jcp_029']."'>".$locale['jcp_028']."</button></form>"; 
	} elseif ($jcp_settings['panelstyle'] == "theme"){
	echo "<button type='submit' name='panelstyle' value='panel' class='button' title='".$locale['jcp_031']."'>".$locale['jcp_030']."</button></form>"; 
	} else {
	set_setting("panelstyle", "theme", "jquery_chat_panel");
	redirect("./".FUSION_SELF.$aidlink);
	}
echo "</form>";

$themes_dir = INFUSIONS.'jquery_chat_panel/themes';
$themes = scandir($themes_dir);
$default_selected = "";
if ($jcp_settings['theme'] == "default"){ $default_selected = "selected"; }

echo "<form method='post' action='./".FUSION_SELF.$aidlink."'>
".$locale['jcp_032']." <img src='./images/help.png' style='vertical-align:middle;' title='".$locale['jcp_033']."' />
<select name='csstheme' onchange='this.form.submit()'>
	<option value='default' ".$default_selected.">".$locale['jcp_034']."</option>";
foreach($themes as $theme){
	if ($jcp_settings['theme'] == $theme){ $selected = "selected"; } else { $selected = ""; }
	if ($theme != "." && $theme != ".." && $theme != "error_log" && $theme != "index.php"){ echo "<option value='".$theme."' ".$selected.">".$theme."</option>"; }
}
echo"</select>
</form>";


echo "<form method='post' action='./".FUSION_SELF.$aidlink."'>
".$locale['jcp_035']." <img src='./images/help.png' style='vertical-align:middle;' title='".$locale['jcp_036']."' />";
if ($jcp_settings['ulist_update'] == "1"){ 
	echo "<button type='submit' name='ulist_update' value='0' class='button' title='".$locale['jcp_037']."'>".$locale['jcp_038']."</button></form>"; 
	} elseif ($jcp_settings['ulist_update'] == "0"){
	echo "<button type='submit' name='ulist_update' value='1' class='button' title='".$locale['jcp_039']."'>".$locale['jcp_040']."</button></form>"; 
	} else {
	set_setting("ulist_update", "1", "jquery_chat_panel");
	redirect("./".FUSION_SELF.$aidlink);
	}
echo "</form>";

echo "<form method='post' action='./".FUSION_SELF.$aidlink."'>
".$locale['jcp_041']." <img src='./images/help.png' style='vertical-align:middle;' title='".$locale['jcp_042']."' />
<select name='prune' onchange='this.form.submit()'>
	<option value='' selected>".$locale['jcp_045']."</option>
	<option value='1'>1 ".$locale['jcp_043']."</option>
	<option value='15'>15 ".$locale['jcp_044']."</option>
	<option value='30'>30 ".$locale['jcp_044']."</option>
	<option value='60'>60 ".$locale['jcp_044']."</option>
	<option value='90'>90 ".$locale['jcp_044']."</option>
</select>
</form>";

closetable();

require_once THEMES."templates/footer.php";
?>