<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| jQuery Chat Panel v1.00 RC1
| Author: skpacman
| PHP-Fusion USA
| Original design by Anant Garg (Copyright 2009)
| Free for non-commercial use.
|   * For commercial use, please purchase a license from Anant Garg at:
|  	* http://anantgarg.com/2009/05/13/gmail-facebook-style-jquery-chat/
| Username parsing error solved by Swadesh
| http://itswadesh.wordpress.com/2011/05/07/gmail-facebook-style-jquery-chat/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INCLUDES."infusions_include.php";

if (file_exists(INFUSIONS."jquery_chat_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jquery_chat_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jquery_chat_panel/locale/English.php";
}

$jcp_settings = get_settings("jquery_chat_panel");

if(iGUEST){
	//unset cookies and stuff
	//make sure they're not in the "online" table
	//dont's show the chat login button
	setcookie("jcp_enabled", "1", time() - 86400, "/");
	setcookie("chatbox_minimized", "", time() - 86400, "/");
	session_destroy();
} elseif(iMEMBER){
	if (!isset($_COOKIE['jcp_enabled']) || $_COOKIE['jcp_enabled'] == "0"){
		//show a "log into chat" button
		echo "<div style='position:fixed;bottom:3px;right:3px;'><form method='post' action='".INFUSIONS."jquery_chat_panel/chatlogin.php'>
		<button type='submit' value='login' name='chatlogin' title='Click to enable chat' class='gray button'>Enable Private Chat</button>
		</form></div>";
	} elseif ($_COOKIE['jcp_enabled'] == "1"){
		if ($jcp_settings['side'] == "left"){
		add_to_head("<script type=\"text/javascript\" src=\"/infusions/jquery_chat_panel/js/chat.js?t=".time()."\"></script>");
		} elseif ($jcp_settings['side'] == "right"){
		add_to_head("<script type=\"text/javascript\" src=\"/infusions/jquery_chat_panel/js/chat_spaced.js?t=".time()."\"></script>");
		} else {
			set_setting("side", "left", "jquery_chat_panel");
			redirect(FUSION_SELF);
		}

		add_to_head("<script type=\"text/javascript\" src=\"/infusions/jquery_chat_panel/js/userlist.js?t=".time()."\"></script>
		<link type=\"text/css\" rel=\"stylesheet\" href=\"/infusions/jquery_chat_panel/css/chat.css?t=".time()."\" />");

		if ($jcp_settings['theme'] !== "default"){ add_to_head("<link type=\"text/css\" rel=\"stylesheet\" href=\"/infusions/jquery_chat_panel/themes/".$jcp_settings['theme']."?t=".time()."\" />"); }

		if ($jcp_settings['ulist_update'] == "1"){ 
			$ulist_content = "<script type=\"text/javascript\">refreshdiv_timediv();</script><div id='timediv'></div>";
			} else { 
			$timelimit = time() - $jcp_settings['timelimit'];
			$result = dbquery("SELECT user_id, user_name, user_status, user_lastvisit FROM ".DB_USERS." WHERE user_lastvisit >'".$timelimit."' AND user_status='0' AND user_name !='".$userdata['user_name']."'	AND user_level > '101' ORDER BY user_name ASC");
			$admin_count = dbrows($result);
			$ulist_content = $locale['jcp_046']." ".$admin_count."<br />";
			if ($admin_count > 0){
				while ($data = dbarray($result)){
					$ulist_content .= "<a href=\"javascript:void(0)\" onclick=\"javascript:chatWith('".str_replace(' ', '_', $data['user_name'])."')\">".$data['user_name']."</a><br />\n";
				}
			} else {
				$ulist_content .= "<strong>".$locale['jcp_047']."<br /></strong>";
			}
			$result = dbquery("SELECT user_id, user_name, user_status, user_lastvisit FROM ".DB_USERS." WHERE user_lastvisit >'".$timelimit."' AND user_status='0' AND user_name !='".$userdata['user_name']."' AND user_level < '102' ORDER BY user_name ASC");
			$member_count = dbrows($result);
			$ulist_content .= "<br />".$locale['jcp_048']." ".$member_count."<br />";
			if ($member_count > 0){
				while ($data = dbarray($result)){
					$ulist_content .= "<a href=\"javascript:void(0)\" onclick=\"javascript:chatWith('".str_replace(' ', '_', $data['user_name'])."')\">".$data['user_name']."</a><br />\n";
				}
			} else {
				$ulist_content .= "<strong>".$locale['jcp_047']."<br /></strong>";
			}
		}

		if ($jcp_settings['display'] == "fixed"){
			if ($jcp_settings['panelstyle'] == "panel"){
				openside($locale['jcp_049']);
				echo $ulist_content;
				closeside();
			} elseif ($jcp_settings['panelstyle'] == "theme"){
				echo "	<div id='userlist'>
							<div class='userlisthead'>
								<div class='userlisttitle'>".$locale['jcp_049']."</div>
							</div><br clear='all'>
							<div class='userlistcontent'>
								".$ulist_content."
							</div>
						</div>";
			} else {
				set_setting("panelstyle", "theme", "jquery_chat_panel");
				redirect(FUSION_SELF);
			}
		} elseif ($jcp_settings['display'] == "floating"){
			if ($jcp_settings['ulist_style'] == "bar"){
				echo "<div id='ulist_bar' style='".$jcp_settings['side'].":10px;'>";
				echo $ulist_content;
				echo "</div>";
				echo "<div id='bar'></div>";
			} elseif ($jcp_settings['ulist_style'] == "panel"){
				if ($jcp_settings['panelstyle'] == "panel"){
					echo "<div style='position:fixed;".$jcp_settings['side'].":20px;bottom:0px;width:180px;z-index:999999;'>";
						openside($locale['jcp_049']);
						echo $ulist_content;
						closeside();
					echo "</div>";
				} elseif ($jcp_settings['panelstyle'] == "theme"){
					echo "<div style='position:fixed;".$jcp_settings['side'].":20px;bottom:0px;width:180px;z-index:999999;'>";
					echo "	<div id='userlist'>
								<div class='userlisthead'>
									<div class='userlisttitle'>".$locale['jcp_049']."</div>
								</div><br clear='all'>
								<div class='userlistcontent'>
									".$ulist_content."
								</div>
							</div>";
					echo "</div>";
				} else {
					set_setting("panelstyle", "theme", "jquery_chat_panel");
					redirect(FUSION_SELF);
				}
			} else {
				set_setting("ulist_style", "panel", "jquery_chat_panel");
				redirect(FUSION_SELF);
			}
		} else { 
			set_setting("display", "fixed", "jquery_chat_panel");
			redirect(FUSION_SELF);
		}
	}
}
?>