<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| jQuery Chat Panel v1.00 RC1
| Author: skpacman
| PHP-Fusion USA
| Original design by Anant Garg (Copyright 2009)
| Free for non-commercial use.
|   * For commercial use, please purchase a license from Anant Garg at:
|  	* http://anantgarg.com/2009/05/13/gmail-facebook-style-jquery-chat/
| Username parsing error solved by Swadesh
| http://itswadesh.wordpress.com/2011/05/07/gmail-facebook-style-jquery-chat/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

session_start();

require_once ("../../maincore.php");

if (!defined("JCP_MSGS")) {
	define("JCP_MSGS", DB_PREFIX."chat_messages");
}

$_SESSION['username'] = $userdata['user_name'];
$_SESSION['chatuser'] = $userdata['user_id'];

if (!isset($_GET['action'])){ $_GET['action'] = ""; }
if ($_GET['action'] == "chatheartbeat") { chatHeartbeat(); } 
if ($_GET['action'] == "sendchat") { sendChat(); } 
if ($_GET['action'] == "closechat") { closeChat(); } 
if ($_GET['action'] == "startchatsession") { startChatSession(); } 
if ($_GET['action'] == "chatname") { chatName(); } 

if (!isset($_SESSION['chatHistory'])) {
	$_SESSION['chatHistory'] = array();	
}

if (!isset($_SESSION['openChatBoxes'])) {
	$_SESSION['openChatBoxes'] = array();	
}

function chatHeartbeat() {
	//$sql = "select users.username,chat.from,chat.message,chat.to,chat.id,chat.sent,chat.recd from chat,users where (chat.to = '".mysql_real_escape_string($_SESSION['chatuser'])."' AND recd = 0) and chat.from=users.uid order by id ASC";
	$sql = "select ".DB_USERS.".user_name,".JCP_MSGS.".from,".JCP_MSGS.".message,".JCP_MSGS.".to,".JCP_MSGS.".id,".JCP_MSGS.".sent,".JCP_MSGS.".recd from ".JCP_MSGS.",".DB_USERS." where (".JCP_MSGS.".to = '".mysql_real_escape_string($_SESSION['chatuser'])."' AND recd = 0) and ".JCP_MSGS.".from=".DB_USERS.".user_id order by id ASC";
	//$sql = "select * from ".JCP_MSGS." where (".JCP_MSGS.".to = '".mysql_real_escape_string($_SESSION['username'])."' AND recd = 0) order by id ASC";
	$query = dbquery($sql);
	$items = '';

	$chatBoxes = array();

	while ($chat = dbarray($query)) {

		if (!isset($_SESSION['openChatBoxes'][$chat['from']]) && isset($_SESSION['chatHistory'][$chat['from']])) {
			$items = $_SESSION['chatHistory'][$chat['from']];
		}

		$chat['message'] = sanitize($chat['message']);

		$items .= <<<EOD
					   {
			"s": "0",
			"u": "{$chat['user_name']}",
			"f": "{$chat['from']}",
			"m": "{$chat['message']}"
	   },
EOD;

	if (!isset($_SESSION['chatHistory'][$chat['from']])) {
		$_SESSION['chatHistory'][$chat['from']] = '';
	}

	$_SESSION['chatHistory'][$chat['from']] .= <<<EOD
						   {
			"s": "0",
			"u": "{$chat['user_name']}",
			"f": "{$chat['from']}",
			"m": "{$chat['message']}"
	   },
EOD;
		
		unset($_SESSION['tsChatBoxes'][$chat['from']]);
		$_SESSION['openChatBoxes'][$chat['from']] = $chat['sent'];
	}

	if (!empty($_SESSION['openChatBoxes'])) {
	foreach ($_SESSION['openChatBoxes'] as $chatbox => $time) {
		if (!isset($_SESSION['tsChatBoxes'][$chatbox])) {
			$now = time()-strtotime($time);
			$time = date('g:iA M dS', strtotime($time));

			$message = "Sent at $time";
			if ($now > 180) {
				$items .= <<<EOD
{
"s": "2",
"f": "$chatbox",
"m": "{$message}"
},
EOD;

	if (!isset($_SESSION['chatHistory'][$chatbox])) {
		$_SESSION['chatHistory'][$chatbox] = '';
	}

	$_SESSION['chatHistory'][$chatbox] .= <<<EOD
		{
"s": "2",
"f": "$chatbox",
"m": "{$message}"
},
EOD;
			$_SESSION['tsChatBoxes'][$chatbox] = 1;
		}
		}
	}
}

	$sql = "update ".JCP_MSGS." set recd = 1 where ".JCP_MSGS.".to = '".mysql_real_escape_string($_SESSION['chatuser'])."' and recd = 0";
	$query = dbquery($sql);

	if ($items != '') {
		$items = substr($items, 0, -1);
	}
header('Content-type: application/json');
?>
{
		"items": [
			<?php echo $items;?>
        ]
}

<?php
			exit(0);
}

function chatBoxSession($chatbox) {
	
	$items = '';
	
	if (isset($_SESSION['chatHistory'][$chatbox])) {
		$items = $_SESSION['chatHistory'][$chatbox];
	}

	return $items;
}

function startChatSession() {
	$items = '';
	if (!empty($_SESSION['openChatBoxes'])) {
		foreach ($_SESSION['openChatBoxes'] as $chatbox => $void) {
			$items .= chatBoxSession($chatbox);
		}
	}


	if ($items != '') {
		$items = substr($items, 0, -1);
	}

header('Content-type: application/json');
/*
$suser=$_SESSION['chatuser'];
$sc=mysql_query("select username from users where username='$su'");
while($row_sc=mysql_fetch_array($sc))
{
$_SESSION['current_chat_username']=$row_sc['username'];
}*/
?>
{
		"user_name": "<?php echo $_SESSION['chatuser'];?>",
		"items": [
			<?php echo $items;?>
        ]
}

<?php
	exit(0);
	
}

//dafuq?
function chatName() {
	$un = '';
	
$su=$_GET['usw'];
$sc2=mysql_query("select ".DB_USERS.".user_name from ".DB_USERS." where user_id='$su' limit 1");
while($row_sc2=dbarray($sc2))
{
$un=$row_sc2["user_name"];
}
?>
{
		"unm": ["<?php echo $un;?>"]
		
}

<?php


	exit(0);
}



function sendChat() {
	$from = $_SESSION['chatuser'];
	$to = $_POST['to'];
	$message = $_POST['message'];
	$sql = "select ".DB_USERS.".user_name from ".DB_USERS." where ".DB_USERS.".user_id='$from' limit 1";
	$uname = dbquery($sql);
	$from_user='';
	while ($un = dbarray($uname)) {
	$from_user=$un['user_name'];
	}
	
	
	$_SESSION['openChatBoxes'][$_POST['to']] = date('Y-m-d H:i:s', time());
	
	$messagesan = sanitize($message);

	if (!isset($_SESSION['chatHistory'][$_POST['to']])) {
		$_SESSION['chatHistory'][$_POST['to']] = '';
	}

	$_SESSION['chatHistory'][$_POST['to']] .= <<<EOD
					   {
			"s": "1",
			"u": "{$from_user}",
			"f": "{$to}",
			"m": "{$messagesan}"
	   },
EOD;


	unset($_SESSION['tsChatBoxes'][$_POST['to']]);

	$sql = "insert into ".JCP_MSGS." (".JCP_MSGS.".from,".JCP_MSGS.".to,message,sent) values ('".mysql_real_escape_string($from)."', '".mysql_real_escape_string($to)."','".mysql_real_escape_string($message)."',NOW())";
	$query = dbquery($sql);
	echo "1";
	exit(0);
}

function closeChat() {

	unset($_SESSION['openChatBoxes'][$_POST['chatbox']]);
	
	echo "1";
	exit(0);
}

function sanitize($text) {
	$text = htmlspecialchars($text, ENT_QUOTES);
	$text = str_replace("\n\r","\n",$text);
	$text = str_replace("\r\n","\n",$text);
	$text = str_replace("\n","<br>",$text);
	return $text;
}