<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| jQuery Chat Panel v1.00 RC1
| Author: skpacman
| PHP-Fusion USA
| Original design by Anant Garg (Copyright 2009)
| Free for non-commercial use.
|   * For commercial use, please purchase a license from Anant Garg at:
|  	* http://anantgarg.com/2009/05/13/gmail-facebook-style-jquery-chat/
| Username parsing error solved by Swadesh
| http://itswadesh.wordpress.com/2011/05/07/gmail-facebook-style-jquery-chat/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

//database definitions
include INFUSIONS."jquery_chat_panel/infusion_db.php";

//locale definition
if (file_exists(INFUSIONS."jquery_chat_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jquery_chat_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jquery_chat_panel/locale/English.php";
}

//infusion information
$inf_title = $locale['jcp_title'];
$inf_description = $locale['jcp_desc'];
$inf_version = "1.00";
$inf_developer = "<a href='http://php-fusion.us' target='_blank'>skpacman @ PHP-Fusion USA</a>";
$inf_email = "skpacman@php-fusion.us";
$inf_weburl = "http://php-fusion.us";

//add database tables upon infuse
$inf_newtable[1] = JCP_MSGS." (
`id` INT AUTO_INCREMENT NOT NULL,
`from` VARCHAR(255) NOT NULL,
`to` VARCHAR(255) NOT NULL,
`message` TEXT NOT NULL,
`sent` DATETIME DEFAULT '0000-00-00 00:00:00' NOT NULL,
`recd` INT DEFAULT '0' NOT NULL,
PRIMARY KEY (id)
) ENGINE=MyISAM;";

$inf_newtable[2] = JCP_ONLINE." (
uid VARCHAR(255) NOT NULL,
PRIMARY KEY (uid)
) ENGINE=MyISAM;";

//add settings upon infuse
$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('side', 'left', '".$inf_folder."')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('ulist_style', 'bar', '".$inf_folder."')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('panelstyle', 'themed', '".$inf_folder."')";
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('theme', 'default', '".$inf_folder."')";
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('display', 'floating', '".$inf_folder."')";
$inf_insertdbrow[6] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('timelimit', '30', '".$inf_folder."')";
$inf_insertdbrow[7] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('ulist_update', '1', '".$inf_folder."')";

//add panels upon infuse
	//INCREASE THE BELOW IDENTIFIER [#] AFTER ADDING MORE SETTINGS ABOVE
$inf_insertdbrow[8] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES ('jQuery Chat Panel', 'jquery_chat_panel', '', '1', '0', 'file', '101', '0', '1')";

//delete settings upon defuse
$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

//delete panels upon defuse
$inf_deldbrow[2] = DB_PANELS." WHERE panel_filename = 'jquery_chat_panel'";

//delete tables upon defuse
$inf_droptable[1] = JCP_MSGS;

//add admin panel entry upon infuse
$inf_adminpanel[1] = array(
	"title" => $locale['jcp_title'],
	"image" => "jcp_icon.png",
	"panel" => "jquery_chat_admin.php",
	"rights" => "JCP"
);

?>