<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| jQuery Chat Panel v1.00 RC1
| Author: skpacman
| PHP-Fusion USA
| Original design by Anant Garg (Copyright 2009)
| Free for non-commercial use.
|   * For commercial use, please purchase a license from Anant Garg at:
|  	* http://anantgarg.com/2009/05/13/gmail-facebook-style-jquery-chat/
| Username parsing error solved by Swadesh
| http://itswadesh.wordpress.com/2011/05/07/gmail-facebook-style-jquery-chat/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$locale['jcp_title'] = "jQuery Chat Panel";
$locale['jcp_desc'] = "A chat system based on a system by Anant Garg (Copyright 2009) that utilizes jQuery, AJAX, PHP, and MySQL to create a one-to-one chat that is easily integrated into websites with very little modification. The system replicates a simplified version of the chat found on Facebook and Google+";

//Administration Locale
$locale['jcp_adm'] = "Administration";
$locale['jcp_001'] = "Successfully set visual setting to floating bar with userlist on the left.";
$locale['jcp_002'] = "Successfully set visual setting to floating bar with userlist on the right.";
$locale['jcp_003'] = "Successfully set visual setting to floating panel with userlist on the left.";
$locale['jcp_004'] = "Successfully set visual setting to floating panel with userlist on the right.";
$locale['jcp_005'] = "Successfully set visual setting to fixed panel.";
$locale['jcp_006'] = "Successfully changed idle timeout to ";
$locale['jcp_007'] = " seconds";
$locale['jcp_008'] = "Oops... You didn't enter a number. Idle timeout has been reverted back to ";
$locale['jcp_009'] = "Oops... The number you entered was too small. Idle timeout has been reverted back to ";
$locale['jcp_010'] = "Successfully toggled the userlist auto-update setting.";
$locale['jcp_011'] = "Successfully changed the panel's style to ";
$locale['jcp_012'] = "Successfully set chatbox theme to ";
$locale['jcp_013'] = "Successfully pruned chat history!";
$locale['jcp_014'] = "Setting failed, please try again...";
$locale['jcp_015'] = "Panel Location Settings: ";
$locale['jcp_016'] = "Choose a general location for the available users list. The chat windows will adjust based on your selection here.";
$locale['jcp_017'] = "Selected";
$locale['jcp_018'] = "Floating Tab - Left";
$locale['jcp_019'] = "Floating Tab - Right";
$locale['jcp_020'] = "Floating Panel - Left";
$locale['jcp_021'] = "Floating Panel - Right";
$locale['jcp_022'] = "Fixed panel in your sidebar";
$locale['jcp_023'] = "Theme and interaction settings:";
$locale['jcp_024'] = "Idle Timelimit:";
$locale['jcp_025'] = "This is in SECONDS. How long a user should show up in the user list after they have left the site. This MUST be greater than 15 seconds.";
$locale['jcp_026'] = "Userlist Theme:";
$locale['jcp_027'] = "If you have chosen a panel-style userlist as opposed to the bar, you can choose whether the panel will match the rest of your theme, or if it will look like the original chatbox using the theme selected below. Click to toggle.";
$locale['jcp_028'] = "PHP-Fusion Theme";
$locale['jcp_029'] = "Change to Chat Theme. Click to toggle.";
$locale['jcp_030'] = "Chat Theme";
$locale['jcp_031'] = "Change to PHP-Fusion Theme. Click to toggle.";
$locale['jcp_032'] = "Chat Window Theme:";
$locale['jcp_033'] = "The chat windows will not be able to match your theme just because of how they are built with javascript. Choose a theme for your chat window. Default is a blue-ish theme.";
$locale['jcp_034'] = "Default";
$locale['jcp_035'] = "Auto-Update Userlist:";
$locale['jcp_036'] = "By default, the list of available users automatically refreshes every 10 seconds. You can completely disable that automattic refresh here. Click the button to the right to toggle its setting.";
$locale['jcp_037'] = "Turn it off";
$locale['jcp_038'] = "ON";
$locale['jcp_039'] = "Turn it on";
$locale['jcp_040'] = "OFF";
$locale['jcp_041'] = "Prune Chat History:";
$locale['jcp_042'] = "Select how many days of chat messages you should keep in the database. Anything older than your selection will be deleted.";
$locale['jcp_043'] = "day";
$locale['jcp_044'] = "days";
$locale['jcp_045'] = "-- Select One --";

//Panel Locale
$locale['jcp_046'] = "Admin Online:";
$locale['jcp_047'] = "None";
$locale['jcp_048'] = "Members Online:";
$locale['jcp_049'] = "<form method='post' action='".INFUSIONS."jquery_chat_panel/chatlogin.php'>
	Private Chat: <input type='image' value='logoff' name='chatlogin' title='Click to disable chat' style='padding:3px;margin:0px;vertical-align:middle;' src='http://cdn3.iconfinder.com/data/icons/UltimateGnome/16x16/actions/exit.png' /><input type='hidden' name='chatlogin' value='logoff' /><a href='".INFUSIONS."jquery_chat_panel/chat_history.php' title='Chat History'><img src='http://cdn1.iconfinder.com/data/icons/nuvola2/16x16/actions/history.png' style='vertical-align:middle;'/></a>
	</form>";
$locale['jcp_050'] = "Whoops, couldn't update your online status so you can't get a list of online users... lets try again in a few seconds...";

//Chat History Page
$locale['jcp_'] = "";
?>